import pack from "../../package.json";
import { EmbedBuilder } from "discord.js";
import client from "../client";

// const _coolColors = [0x054566];

export default function getDefaultEmbed(): EmbedBuilder {
    const embed = new EmbedBuilder();
    embed.setFooter({
        text: `Channel filter V${pack.version} by AstroGD®`,
        iconURL: client.user?.avatarURL() || undefined,
    });
    embed.setTimestamp(new Date());
    embed.setColor(0x3682cc);

    return embed;
}

export function getSuccessEmbed(): EmbedBuilder {
    const embed = getDefaultEmbed();
    embed.setTitle("Success");
    embed.setColor(0x32d122);
    return embed;
}